LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-14-2014, 12:07 AM   #1
razachis
LQ Newbie
 
Registered: Feb 2014
Posts: 1

Rep: Reputation: Disabled
Error applying ns2.29 clustering patch on ubuntu 12.04


I had the following error when i installed ns2.29 clustering patch on ubuntu 12.04.pls i need a help to correct the error

./clustering/common/clusteringModule.h:27:0,from clustering/rajaraman/rajaraman.h:33, from clustering/rajaraman/rajaraman/.cc:25:./clustering/common/clustering-header.h: At global scope:./clustering/common/clustering-header.h:74:1: warning: 'void printnodelist(nodelist&)' defined but not used [-wunused-function] make:***[clustering/rajaraman/rajaraman.o] Error Ns make failed!
 
Old 02-14-2014, 02:18 AM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,502

Rep: Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617Reputation: 2617
please search the forum and use google


the instructions are ALL over this forum

i am betting you did not install gcc 3.4 and export CC=gcc34

also PLEASE !!!! spell out your words !!!!
PLEASE is NOT !!!!! spelled as "plz"

"text speak" is not liked around here

not only is it impolite but Google-Translate and Bablefish can not translate it into other languages \


so do not use it

this forum IS NOT A TEXT MESSAGE !!!!

Last edited by John VV; 02-14-2014 at 02:21 AM.
 
Old 02-14-2014, 03:04 AM   #3
colucix
LQ Guru
 
Registered: Sep 2003
Location: Bologna
Distribution: CentOS 6.5 OpenSuSE 12.3
Posts: 10,509

Rep: Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981Reputation: 1981
Please use a descriptive title for your thread excluding words like 'urgent' or 'help'. Using a proper title makes it easier for members to help you. This thread has been reported for title modification. Please do not add replies that address the thread title.
 
Old 02-14-2014, 03:38 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,391

Rep: Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604Reputation: 3604
@razachis : Welcome to LQ.

Clustering ns229, Ubuntu 12.04 - 32 (i686) (: Please do not use a 64bits OS for ns2.)

Clustering ns229 http://www.linuxquestions.org/questi...roblem-871264/
> Post #35 http://www.linuxquestions.org/questi...264/page3.html

Package : You don't have to build "Clustering / ns-2.29" yourself.
Install the Ubuntu package clustering-ns-2.29-ubuntu10_i386.deb, 4.1 MB → →
Post #37 http://www.linuxquestions.org/questi...264/page3.html

Ubuntu 12.04 - 32, the compilers are :
gcc34-compat-3.4.6.ubuntu1204_i386.deb https://drive.google.com/file/d/0B7S...it?usp=sharing
g++34-compat-3.4.6_i386.deb https://drive.google.com/file/d/0B7S...it?usp=sharing

Ubuntu 12.04 : $ tar xvf ns-allinone-2.29.3.tar.gz
$ cd ns-allinone-2.29/
$ patch -p1 < clustering-2.29.patch
$ export CC=gcc34 CXX=g++34 && ./install

-

Last edited by knudfl; 02-14-2014 at 03:39 AM.
 
1 members found this post helpful.
  


Reply

Tags
clustering-2.29, clustering-ns2, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
ns2 installation on ubuntu with olsr patch giving following error bhushan0710 Linux - Newbie 8 01-21-2013 04:09 AM
PLEASE HELP..Error in applying A new Queue ( OLBP Scheme-user defined) patch to ns mohak.nk Linux - General 11 03-29-2012 01:31 PM
Error in applying A new Queue ( OLBP Scheme-user defined) patch to ns-allinone-2.33 mohak.nk Linux - Networking 1 11-18-2011 01:52 PM
error while applying patch corbis_demon Programming 1 08-14-2004 11:21 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration